Name:           nautilus-sendto-trac
Version:        0.4
Release:        1%{?dist}
Summary:        Nautilus context menu for sending files to Trac

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.matbooth.co.uk/trac/wiki/NautilusSendtoTracStart
Source0:        http://www.matbooth.co.uk/archive/%{name}-%{version}.tar.gz

BuildRequires:  nautilus-sendto-devel >= 2.32.0
BuildRequires:  libsoup-devel >= 2.28.0
BuildRequires:  gnome-keyring-devel >= 2.22.0
BuildRequires:  GConf2-devel >= 2.14.0

%description
Nautilus-Sendto-Trac is a plug-in for Nautilus, the file manager for the Gnome
desktop environment, that allows the sending of files and directories to a
Trac instance as ticket attachments. 

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/nautilus-sendto/plugins/*.so

%changelog
* Sat Jun 11 2011 Mat Booth <fedora@matbooth.co.uk> 0.4-1
- Allow optional comment to describe attachments.

* Mon Feb 14 2011 Mat Booth <fedora@matbooth.co.uk> 0.3.1-4
- Rebuild for newer GTK.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Mat Booth <fedora@matbooth.co.uk> 0.3.1-2
- Preserve timestamps on installation.

* Wed Jan 12 2011 Mat Booth <fedora@matbooth.co.uk> 0.3.1-1
- GTK3 compatibility.

* Wed Dec 22 2010 Mat Booth <fedora@matbooth.co.uk> 0.3-1
- Initial revision.
